<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */


interface Model_ConnectionCheckerInterface
{
    /**
     * @param string $type
     * @throws Exception
     * @return Model_ConnectionChecker_CheckerInterface
     */
    public function getCheckerByType($type);

    /**
     * @return string
     */
    public function getControllerHost();

    /**
     * @return FacadeInterface
     */
    public function getFacade();

    /**
     * @return string
     */
    public function getPartnerLogin();

    /**
     * @return string
     */
    public function getPartnerPassword();

    /**
     * @return string
     */
    public function getBaasUrl();
}