<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface Model_UserScreenNotificationManagerInterface
{
    public function provisionHasStarted();

    public function provisionHasFinished();

    public function provisionHasFailed();

    public function unprovisionHasStarted();

    public function unprovisionHasFinished();

    public function unprovisionHasFailed();

    public function configureHasStarted();

    public function configureHasFinished();

    public function configureHasFailed();

    public function activateAccountHasStarted();

    public function activateAccountHasFinished();

    public function activateAccountHasFailed();

    public function changePasswordHasStarted();

    public function changePasswordHasFinished();

    public function changePasswordHasFailed();

    /**
     * @param int $currentSubscriptionId
     * @param int $assignedSubscriptionId
     */
    public function provisionHasFailedSubscriptionAlreadyAssigned($currentSubscriptionId, $assignedSubscriptionId);
}