<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_AmsApiClient_Request_RemoteConnection extends Service_BaseClient_Request_Json
{
    const REQUEST_URL = '/remote_connection';

    /**
     * @param Service_BaseClient_Request_Struct_IArrayRepresentation $remoteConnection
     */
    public function __construct(Service_BaseClient_Request_Struct_IArrayRepresentation $remoteConnection)
    {
        $this->_requestObject = $remoteConnection;
        $this->_resource = self::REQUEST_URL;
        $this->_method = self::METHOD_POST;
    }

    /**
     * @param string $httpCode
     * @param string $responseBody
     * @return Service_AmsApiClient_Response_Connection
     */
    public function getExpectedResponse($httpCode = NULL, $responseBody = NULL)
    {
        return new Service_AmsApiClient_Response_Connection($responseBody);
    }
}