<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_GetDownloadClientUrl extends Service_BaseClient_Request_Base
{
    const REQUEST_URL_FORMAT = '/links/%s/url';

    /**
     * @param string $agentPlatform
     */
    public function __construct($agentPlatform)
    {
        $this->_resource = sprintf(self::REQUEST_URL_FORMAT, $agentPlatform);
        $this->_method = self::METHOD_POST;
    }

    /**
     * @param string $httpCode
     * @param string $responseBody
     * @return Service_MspApiClient_Response_GetDownloadClientUrl
     */
    public function getExpectedResponse($httpCode = NULL, $responseBody = NULL)
    {
        return new Service_MspApiClient_Response_GetDownloadClientUrl($responseBody);
    }
} 