<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_Search extends Service_BaseClient_Request_Base
{
    const REQUEST_URL_FORMAT = '/groups/?prefix=%s&limit=10';

    /**
     * @param string $prefix
     */
    public function __construct($prefix)
    {
        $this->_resource = sprintf(self::REQUEST_URL_FORMAT, rawurlencode($prefix));
        $this->_method = self::METHOD_GET;
    }

    /**
     * @param string $httpCode
     * @param string $responseBody
     * @return Service_MspApiClient_Response_GetUsers
     */
    public function getExpectedResponse($httpCode = NULL, $responseBody = NULL)
    {
        return new Service_MspApiClient_Response_Search($responseBody);
    }
} 