<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_Struct_Credentials
    implements Service_BaseClient_Request_Struct_IArrayRepresentation
{
    const FIELD_PASSWORD = "password";
    const FIELD_USERNAME = "username";

    /** @var  string */
    private $userName;
    /** @var  string */
    private $password;

    /**
     * @param string $userName
     * @param string $password
     */
    function __construct($userName, $password)
    {
        $this->userName = $userName;
        $this->password = $password;
    }

    /**
     * @return array
     */
    public function toArray()
    {
        return array(
            self::FIELD_PASSWORD => $this->password,
            self::FIELD_USERNAME => $this->userName
        );
    }
}