<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_MspApiClient_Request_Struct_UsageReport implements Service_BaseClient_Request_Struct_IArrayRepresentation, Service_MspApiClient_Request_Struct_UsageReportInterface
{
    const FIELD_BEGIN_DATE = 'begin_date';
    const FIELD_END_DATE = 'end_date';
    const FIELD_LEVEL = 'level';

    /**
     * Unix time
     * @var int
     */
    private $beginDate;

    /**
     * Unix time
     * @var int
     */
    private $endDate;

    /**
     * Unix time
     * @var int
     */
    private $level;

    /**
     * @return int
     */
    public function getBeginDate()
    {
        return $this->beginDate;
    }

    /**
     * @param int $beginDate
     */
    public function setBeginDate($beginDate)
    {
        $this->beginDate = $beginDate;
    }

    /**
     * @return int
     */
    public function getEndDate()
    {
        return $this->endDate;
    }

    /**
     * @param int $endDate
     */
    public function setEndDate($endDate)
    {
        $this->endDate = $endDate;
    }

    /**
     * @return int
     */
    public function getLevel()
    {
        return $this->level;
    }

    /**
     * @param int $level
     */
    public function setLevel($level)
    {
        $this->level = $level;
    }

    public function toArray()
    {
        $result = array();

        $result[self::FIELD_BEGIN_DATE] = $this->getBeginDate();
        $result[self::FIELD_END_DATE] = $this->getEndDate();
        $result[self::FIELD_LEVEL] = $this->getLevel();

        return $result;
    }
}
