<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Response_Login extends Service_BaseClient_Response_Base
{
    const PROPERTY_EMAIL = 'email';
    const PROPERTY_ACCESS_TYPE = 'access_type';
    const PROPERTY_BRAND = 'brand';
    const PROPERTY_GROUP = 'group';
    const PROPERTY_ID = 'id';
    const PROPERTY_FIRSTNAME = 'firstname';
    const PROPERTY_KIND = 'kind';
    const PROPERTY_LASTNAME = 'lastname';

    /**
     * @param array $responseData
     * @return Service_MspApiClient_Response_Struct_Login
     */
    protected function _init(array $responseData)
    {
        $loginData = new Service_MspApiClient_Response_Struct_Login();
        $loginData->setEmail($responseData[self::PROPERTY_EMAIL]);
        $loginData->setAccessType($responseData[self::PROPERTY_ACCESS_TYPE]);
        $loginData->setBrand($responseData[self::PROPERTY_BRAND]);
        $loginData->setGroupId($responseData[self::PROPERTY_GROUP][self::PROPERTY_ID]);
        $loginData->setFirstName($responseData[self::PROPERTY_FIRSTNAME]);
        $loginData->setGroupKind($responseData[self::PROPERTY_GROUP][self::PROPERTY_KIND]);
        $loginData->setLastName($responseData[self::PROPERTY_LASTNAME]);
        return $loginData;
    }
}