<?php

/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */
class Service_MspApiClient_Response_Struct_UserPrivileges
{
    /** @var  int */
    private $_serverCount;
    /** @var  int */
    private $_storageSize;
    /** @var  int */
    private $_localStorageSize;
    /** @var  int */
    private $_vmCount;
    /** @var  int */
    private $_workstationCount;
    /** @var  int */
    private $_mobileCount;
    /** @var  int */
    private $_mailboxCount;
    /** @var  int */
    private $_webHostingServerCount;
    /** @var  int */
    private $_websiteCount;

    /**
     * @param int $serverCount
     */
    public function setServerCount($serverCount)
    {
        $this->_serverCount = $serverCount;
    }

    /**
     * @return int
     */
    public function getServerCount()
    {
        return $this->_serverCount;
    }

    /**
     * @param int $storageSize
     */
    public function setStorageSize($storageSize)
    {
        $this->_storageSize = $storageSize;
    }

    /**
     * @return int
     */
    public function getStorageSize()
    {
        return $this->_storageSize;
    }

    /**
     * @return int
     */
    public function getLocalStorageSize()
    {
        return $this->_localStorageSize;
    }

    /**
     * @param int $localStorageSize
     */
    public function setLocalStorageSize($localStorageSize)
    {
        $this->_localStorageSize = $localStorageSize;
    }

    /**
     * @param int $vmCount
     */
    public function setVmCount($vmCount)
    {
        $this->_vmCount = $vmCount;
    }

    /**
     * @return int
     */
    public function getVmCount()
    {
        return $this->_vmCount;
    }

    /**
     * @param int $workstationCount
     */
    public function setWorkstationCount($workstationCount)
    {
        $this->_workstationCount = $workstationCount;
    }

    /**
     * @return int
     */
    public function getWorkstationCount()
    {
        return $this->_workstationCount;
    }

    /**
     * @return int
     */
    public function getMobileCount()
    {
        return $this->_mobileCount;
    }

    /**
     * @param int $mobileCount
     */
    public function setMobileCount($mobileCount)
    {
        $this->_mobileCount = $mobileCount;
    }

    /**
     * @return int
     */
    public function getMailboxCount()
    {
        return $this->_mailboxCount;
    }

    /**
     * @param int $mailboxCount
     */
    public function setMailboxCount($mailboxCount)
    {
        $this->_mailboxCount = $mailboxCount;
    }

    /**
     * @return int
     */
    public function getWebHostingServerCount()
    {
        return $this->_webHostingServerCount;
    }

    /**
     * @param int $webHostingServerCount
     */
    public function setWebHostingServerCount($webHostingServerCount)
    {
        $this->_webHostingServerCount = $webHostingServerCount;
    }

    /**
     * @return int
     */
    public function getWebsiteCount()
    {
        return $this->_websiteCount;
    }

    /**
     * @param int $websiteCount
     */
    public function setWebsiteCount($websiteCount)
    {
        $this->_websiteCount = $websiteCount;
    }
}