<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */


interface Service_OpenApi_Response_AccountInfoInterface
{
    /**
     * @return int
     */
    public function getAccountId();

    /**
     * @return int
     */
    public function getAccountType();

    /**
     * @return Service_OpenApi_Response_AccountInfo_Address
     */
    public function getAddress();

    /**
     * @return string
     */
    public function getCompanyName();

    /**
     * @return Service_OpenApi_Response_AccountInfo_Contact
     */
    public function getContact();

    /**
     * @return int
     */
    public function getParentAccountId();

    /**
     * @return string
     */
    public function getPhone();
}
