<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_GetOrder extends Service_PbaApi_Client_Request
{
    const METHOD = 'GetOrder_API';

    /**
     * @param $orderId
     * @return mixed
     * @throws Service_PbaApi_Api_Exception
     */
    public function __construct($orderId)
    {

        parent::__construct(self::METHOD, array((int)$orderId));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetOrder
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetOrder($responseArray);
    }
}
