<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_GetResource extends Service_PbaApi_Client_Request
{
    const METHOD = 'BMResourceGet';

    /**
     * Service_PbaApi_Api_Request_GetResource constructor.
     * @param array $resourceId
     */
    public function __construct($resourceId)
    {
        parent::__construct(self::METHOD, array((int)$resourceId));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetResource
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetResource($responseArray);
    }
}
