<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Response_ChangeExpiration extends Service_PbaApi_Client_Response
{
    const EXCEPTION_EMPTY_RESULT = 'Empty result';

    /**
     * @param array|null $responseArray
     * @return Service_PbaApi_Api_Response_Struct_Discount
     * @throws Service_PbaApi_Client_InvalidPropertyException
     */
    protected function _init(array $responseArray = null)
    {
        if (is_null($responseArray)) {
            throw new Service_PbaApi_Client_InvalidPropertyException(self::EXCEPTION_EMPTY_RESULT);
        }

        $data = $this->_getProperty(0, $responseArray);
        $order = new Service_PbaApi_Api_Response_Struct_Status();
        $order->setStatus($this->_getProperty('Status', $data));
        return $order;
    }
}
