<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface Service_PbaApi_Api_Response_Struct_AvailablePlanListItemInterface
{
    /**
     * @return int
     */
    public function getPlanId();

    /**
     * @param int $planId
     */
    public function setPlanId($planId);

    /**
     * @return string
     */
    public function getName();

    /**
     * @param string $name
     */
    public function setName($name);

    /**
     * @return string
     */
    public function getShortDescription();

    /**
     * @param string $shortDescription
     */
    public function setShortDescription($shortDescription);

    /**
     * @return string
     */
    public function getLongDescription();

    /**
     * @param string $longDescription
     */
    public function setLongDescription($longDescription);

    /**
     * @return int
     */
    public function getPlanCategoryId();

    /**
     * @param int $planCategoryId
     */
    public function setPlanCategoryId($planCategoryId);

    /**
     * @return string
     */
    public function getStType();

    /**
     * @param string $stType
     */
    public function setStType($stType);

    /**
     * @return int
     */
    public function getIsPublished();

    /**
     * @param int $isPublished
     */
    public function setIsPublished($isPublished);

    /**
     * @return int
     */
    public function getGroupId();

    /**
     * @param int $groupId
     */
    public function setGroupId($groupId);

    /**
     * @return int
     */
    public function getRecurringType();

    /**
     * @param int $recurringType
     */
    public function setRecurringType($recurringType);

    /**
     * @return int
     */
    public function getBillingPeriodType();

    /**
     * @param int $billingPeriodType
     */
    public function setBillingPeriodType($billingPeriodType);

    /**
     * @return int
     */
    public function getBillingPeriod();

    /**
     * @param int $billingPeriod
     */
    public function setBillingPeriod($billingPeriod);

    /**
     * @return int
     */
    public function getIsParentReq();

    /**
     * @param int $isParentReq
     */
    public function setIsParentReq($isParentReq);

    /**
     * @return int
     */
    public function getShowPriority();

    /**
     * @param int $showPriority
     */
    public function setShowPriority($showPriority);

    /**
     * @return int
     */
    public function getDefaultPlanPeriodId();

    /**
     * @param int $defaultPlanPeriodId
     */
    public function setDefaultPlanPeriodId($defaultPlanPeriodId);
}