<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Response_Struct_PlacePlanPeriodSwitchOrder
{

    /**
     * ID of created order;
     * @var int
     */
    private $orderId;

    /**
     * total of created order without taxes and discounts;
     * @var double
     */
    private $total;

    /**
     * tax total of created oder (sum of all taxes);
     * @var double
     */
    private $taxTotal;

    /**
     * discount total of created order (sum of discount);
     * @var double
     */
    private $discountTotal;

    /**
     * total of created order including taxes and discounts;
     * @var double
     */
    private $merchTotal;

    /**
     * order number;
     * @var string
     */
    private $orderNumber;

    /**
     * order description;
     * @var string
     */
    private $description;

    /**
     * , FormatDateTimeSecLong - order creation date and time;
     * @var string
     */
    private $creationTime;

    /**
     * ID of payment created for order. If payment is absent, method returns "0".
     * @var int
     */
    private $documentId;

    /**
     * @return int
     */
    public function getOrderId()
    {
        return $this->orderId;
    }

    /**
     * @param int $orderId
     */
    public function setOrderId($orderId)
    {
        $this->orderId = $orderId;
    }

    /**
     * @return float
     */
    public function getTotal()
    {
        return $this->total;
    }

    /**
     * @param float $total
     */
    public function setTotal($total)
    {
        $this->total = $total;
    }

    /**
     * @return float
     */
    public function getTaxTotal()
    {
        return $this->taxTotal;
    }

    /**
     * @param float $taxTotal
     */
    public function setTaxTotal($taxTotal)
    {
        $this->taxTotal = $taxTotal;
    }

    /**
     * @return float
     */
    public function getDiscountTotal()
    {
        return $this->discountTotal;
    }

    /**
     * @param float $discountTotal
     */
    public function setDiscountTotal($discountTotal)
    {
        $this->discountTotal = $discountTotal;
    }

    /**
     * @return float
     */
    public function getMerchTotal()
    {
        return $this->merchTotal;
    }

    /**
     * @param float $merchTotal
     */
    public function setMerchTotal($merchTotal)
    {
        $this->merchTotal = $merchTotal;
    }

    /**
     * @return string
     */
    public function getOrderNumber()
    {
        return $this->orderNumber;
    }

    /**
     * @param string $orderNumber
     */
    public function setOrderNumber($orderNumber)
    {
        $this->orderNumber = $orderNumber;
    }

    /**
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @param string $description
     */
    public function setDescription($description)
    {
        $this->description = $description;
    }

    /**
     * @return string
     */
    public function getCreationTime()
    {
        return $this->creationTime;
    }

    /**
     * @param string $creationTime
     */
    public function setCreationTime($creationTime)
    {
        $this->creationTime = $creationTime;
    }

    /**
     * @return int
     */
    public function getDocumentId()
    {
        return $this->documentId;
    }

    /**
     * @param int $documentId
     */
    public function setDocumentId($documentId)
    {
        $this->documentId = $documentId;
    }
}
