<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Response_Struct_PlanRate
{

    /**
     * ID
     * @var
     */
    private $rateId;

    /**
     * Name
     * @var
     */
    private $resourceName;

    /**
     * Included Value
     * @var
     */
    private $includedValue;

    /**
     * Upper Limit
     * @var
     */
    private $maxValue;

    /**
     * Unit of Measure
     * @var
     */
    private $unitOfMeasure;

    /**
     * Setup Cost
     * @var
     */
    private $setupCost;

    /**
     * Setup Fee
     * @var
     */
    private $setupFee;

    /**
     * Setup Fee
     * @var
     */
    private $setupFeeIcon;

    /**
     * MSRP Setup Fee
     * @var
     */
    private $MSRPSetupFee;

    /**
     * Charge Per Unit (Setup Fee)
     * @var
     */
    private $isSFPerUnit;

    /**
     * Recurring Cost
     * @var
     */
    private $recurringCost;

    /**
     * Recurring Fee (Monthly)
     * @var
     */
    private $recurringFee;

    /**
     * Recurring Fee (Monthly)
     * @var
     */
    private $recurringFeeIcon;

    /**
     * MSRP Recurring Fee
     * @var
     */
    private $MSRPRecurringFee;

    /**
     * Charge Per Unit (Recurring Fee)
     * @var
     */
    private $isRFPerUnit;

    /**
     * Overuse Cost
     * @var
     */
    private $overuseFeeCost;

    /**
     * Overuse Fee (Monthly)
     * @var
     */
    private $overuseFee;

    /**
     * Overuse Fee (Monthly)
     * @var
     */
    private $overuseFeeIcon;

    /**
     * MSRP Overuse Fee
     * @var
     */
    private $MSRPOveruseFee;

    /**
     * Show in Store
     * @var
     */
    private $isMain;

    /**
     * Show in CP
     * @var
     */
    private $isVisible;

    /**
     * Resource Type
     * @var
     */
    private $resourceType;

    /**
     * Store Text
     * @var
     */
    private $storeText;

    /**
     * Store Price Text
     * @var
     */
    private $storePriceText;

    /**
     * Sort Order
     * @var
     */
    private $storeSortOrder;

    /**
     * Setup SKU
     * @var
     */
    private $setupSKU;

    /**
     * Recurring SKU
     * @var
     */
    private $recurringSKU;

    /**
     * Overuse SKU
     * @var
     */
    private $overuseSKU;

    /**
     * Cancellation SKU
     * @var
     */
    private $cancellationSKU;

    /**
     * Resource ID
     * @var
     */
    private $resourceId;

    /**
     * @return mixed
     */
    public function getRateId()
    {
        return $this->rateId;
    }

    /**
     * @param mixed $rateId
     */
    public function setRateId($rateId)
    {
        $this->rateId = $rateId;
    }

    /**
     * @return mixed
     */
    public function getResourceName()
    {
        return $this->resourceName;
    }

    /**
     * @param mixed $resourceName
     */
    public function setResourceName($resourceName)
    {
        $this->resourceName = $resourceName;
    }

    /**
     * @return mixed
     */
    public function getIncludedValue()
    {
        return $this->includedValue;
    }

    /**
     * @param mixed $includedValue
     */
    public function setIncludedValue($includedValue)
    {
        $this->includedValue = $includedValue;
    }

    /**
     * @return mixed
     */
    public function getMaxValue()
    {
        return $this->maxValue;
    }

    /**
     * @param mixed $maxValue
     */
    public function setMaxValue($maxValue)
    {
        $this->maxValue = $maxValue;
    }

    /**
     * @return mixed
     */
    public function getUnitOfMeasure()
    {
        return $this->unitOfMeasure;
    }

    /**
     * @param mixed $unitOfMeasure
     */
    public function setUnitOfMeasure($unitOfMeasure)
    {
        $this->unitOfMeasure = $unitOfMeasure;
    }

    /**
     * @return mixed
     */
    public function getSetupCost()
    {
        return $this->setupCost;
    }

    /**
     * @param mixed $setupCost
     */
    public function setSetupCost($setupCost)
    {
        $this->setupCost = $setupCost;
    }

    /**
     * @return mixed
     */
    public function getSetupFee()
    {
        return $this->setupFee;
    }

    /**
     * @param mixed $setupFee
     */
    public function setSetupFee($setupFee)
    {
        $this->setupFee = $setupFee;
    }

    /**
     * @return mixed
     */
    public function getSetupFeeIcon()
    {
        return $this->setupFeeIcon;
    }

    /**
     * @param mixed $setupFeeIcon
     */
    public function setSetupFeeIcon($setupFeeIcon)
    {
        $this->setupFeeIcon = $setupFeeIcon;
    }

    /**
     * @return mixed
     */
    public function getMSRPSetupFee()
    {
        return $this->MSRPSetupFee;
    }

    /**
     * @param mixed $MSRPSetupFee
     */
    public function setMSRPSetupFee($MSRPSetupFee)
    {
        $this->MSRPSetupFee = $MSRPSetupFee;
    }

    /**
     * @return mixed
     */
    public function getIsSFPerUnit()
    {
        return $this->isSFPerUnit;
    }

    /**
     * @param mixed $isSFPerUnit
     */
    public function setIsSFPerUnit($isSFPerUnit)
    {
        $this->isSFPerUnit = $isSFPerUnit;
    }

    /**
     * @return mixed
     */
    public function getRecurringCost()
    {
        return $this->recurringCost;
    }

    /**
     * @param mixed $recurringCost
     */
    public function setRecurringCost($recurringCost)
    {
        $this->recurringCost = $recurringCost;
    }

    /**
     * @return mixed
     */
    public function getRecurringFee()
    {
        return $this->recurringFee;
    }

    /**
     * @param mixed $recurringFee
     */
    public function setRecurringFee($recurringFee)
    {
        $this->recurringFee = $recurringFee;
    }

    /**
     * @return mixed
     */
    public function getRecurringFeeIcon()
    {
        return $this->recurringFeeIcon;
    }

    /**
     * @param mixed $recurringFeeIcon
     */
    public function setRecurringFeeIcon($recurringFeeIcon)
    {
        $this->recurringFeeIcon = $recurringFeeIcon;
    }

    /**
     * @return mixed
     */
    public function getMSRPRecurringFee()
    {
        return $this->MSRPRecurringFee;
    }

    /**
     * @param mixed $MSRPRecurringFee
     */
    public function setMSRPRecurringFee($MSRPRecurringFee)
    {
        $this->MSRPRecurringFee = $MSRPRecurringFee;
    }

    /**
     * @return mixed
     */
    public function getIsRFPerUnit()
    {
        return $this->isRFPerUnit;
    }

    /**
     * @param mixed $isRFPerUnit
     */
    public function setIsRFPerUnit($isRFPerUnit)
    {
        $this->isRFPerUnit = $isRFPerUnit;
    }

    /**
     * @return mixed
     */
    public function getOveruseFeeCost()
    {
        return $this->overuseFeeCost;
    }

    /**
     * @param mixed $overuseFeeCost
     */
    public function setOveruseFeeCost($overuseFeeCost)
    {
        $this->overuseFeeCost = $overuseFeeCost;
    }

    /**
     * @return mixed
     */
    public function getOveruseFee()
    {
        return $this->overuseFee;
    }

    /**
     * @param mixed $overuseFee
     */
    public function setOveruseFee($overuseFee)
    {
        $this->overuseFee = $overuseFee;
    }

    /**
     * @return mixed
     */
    public function getOveruseFeeIcon()
    {
        return $this->overuseFeeIcon;
    }

    /**
     * @param mixed $overuseFeeIcon
     */
    public function setOveruseFeeIcon($overuseFeeIcon)
    {
        $this->overuseFeeIcon = $overuseFeeIcon;
    }

    /**
     * @return mixed
     */
    public function getMSRPOveruseFee()
    {
        return $this->MSRPOveruseFee;
    }

    /**
     * @param mixed $MSRPOveruseFee
     */
    public function setMSRPOveruseFee($MSRPOveruseFee)
    {
        $this->MSRPOveruseFee = $MSRPOveruseFee;
    }

    /**
     * @return mixed
     */
    public function getIsMain()
    {
        return $this->isMain;
    }

    /**
     * @param mixed $isMain
     */
    public function setIsMain($isMain)
    {
        $this->isMain = $isMain;
    }

    /**
     * @return mixed
     */
    public function getIsVisible()
    {
        return $this->isVisible;
    }

    /**
     * @param mixed $isVisible
     */
    public function setIsVisible($isVisible)
    {
        $this->isVisible = $isVisible;
    }

    /**
     * @return mixed
     */
    public function getResourceType()
    {
        return $this->resourceType;
    }

    /**
     * @param mixed $resourceType
     */
    public function setResourceType($resourceType)
    {
        $this->resourceType = $resourceType;
    }

    /**
     * @return mixed
     */
    public function getStoreText()
    {
        return $this->storeText;
    }

    /**
     * @param mixed $storeText
     */
    public function setStoreText($storeText)
    {
        $this->storeText = $storeText;
    }

    /**
     * @return mixed
     */
    public function getStorePriceText()
    {
        return $this->storePriceText;
    }

    /**
     * @param mixed $storePriceText
     */
    public function setStorePriceText($storePriceText)
    {
        $this->storePriceText = $storePriceText;
    }

    /**
     * @return mixed
     */
    public function getStoreSortOrder()
    {
        return $this->storeSortOrder;
    }

    /**
     * @param mixed $storeSortOrder
     */
    public function setStoreSortOrder($storeSortOrder)
    {
        $this->storeSortOrder = $storeSortOrder;
    }

    /**
     * @return mixed
     */
    public function getSetupSKU()
    {
        return $this->setupSKU;
    }

    /**
     * @param mixed $setupSKU
     */
    public function setSetupSKU($setupSKU)
    {
        $this->setupSKU = $setupSKU;
    }

    /**
     * @return mixed
     */
    public function getRecurringSKU()
    {
        return $this->recurringSKU;
    }

    /**
     * @param mixed $recurringSKU
     */
    public function setRecurringSKU($recurringSKU)
    {
        $this->recurringSKU = $recurringSKU;
    }

    /**
     * @return mixed
     */
    public function getOveruseSKU()
    {
        return $this->overuseSKU;
    }

    /**
     * @param mixed $overuseSKU
     */
    public function setOveruseSKU($overuseSKU)
    {
        $this->overuseSKU = $overuseSKU;
    }

    /**
     * @return mixed
     */
    public function getCancellationSKU()
    {
        return $this->cancellationSKU;
    }

    /**
     * @param mixed $cancellationSKU
     */
    public function setCancellationSKU($cancellationSKU)
    {
        $this->cancellationSKU = $cancellationSKU;
    }

    /**
     * @return mixed
     */
    public function getResourceId()
    {
        return $this->resourceId;
    }

    /**
     * @param mixed $resourceID
     */
    public function setResourceId($resourceID)
    {
        $this->resourceId = $resourceID;
    }


}
