<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Services\Logger;

class RequestIdProcessor
{
    private $requestId;

    public function __construct($requestId = null)
    {
        $this->requestId = $requestId ?: uniqid();
    }

    public function __invoke(array $record)
    {
        $record['extra']['request_id'] = $this->requestId;

        return $record;
    }
}