<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\UsageReport\Aggregation;

use Acronis\App\UsageReport\ReportRowWrapperInterface;

interface AggregationStrategyInterface
{
    /**
     * @param Accumulator $accumulator
     * @param ReportRowWrapperInterface $reportRow
     * @param \tenant $tenant
     * @return mixed
     */
    public function aggregateRow(&$accumulator, $reportRow, $tenant);
}