<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface BuildInfoInterface
{
    /**
     * Method returns number of current (this) APS Package Build
     * @return int
     */
    public function getPackageBuildNumber();

    /**
     * Method returns version of current (this) APS Package in format: Major.Minor.Build (example:1.0.1406)
     * @return string
     */
    public function getPackageVersion();
}
