<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

require_once(__DIR__ . '/app/bootstrap.php');

/**
 * Class globals
 * @type("http://acronis.com/aps/cloud-backup-v1/globals/9.3")
 * @implements("http://aps-standard.org/types/core/application/1.0")
 * @access("global", true)
 */
class globalsCCPv2 extends globals
{
    /* ======= RESOURCE PROPERTIES ======= */

    /* ======= OTHER PROPERTIES ======= */

    /* ======= RESOURCE METHODS ======= */

    /* ======= RESOURCE EVENTS ======= */

    /* ======= RESOURCE OPERATIONS ======= */

    /* ======= OTHER METHODS ======= */

    /**
     * @return tenant
     */
    protected function createTenant()
    {
        return new tenantCCPv2(
            $this->_facade,
            $this->_managerFactory,
            $this->_sessionStore,
            $this->_apsc
        );
    }

    /**
     * @return string
     */
    protected function getSelfApsType()
    {
        return self::CLOUD_BACKUP_GLOBALS_TYPE_CCPv2;
    }
}
