<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface Service_AmsApiClient_ApiInterface
{
    /**
     * @return array
     */
    public function getBackupItems();

    /**
     * @param string $accessToken
     * @return array
     */
    public function createRemoteConnection($accessToken);

    /**
     * @param string $language
     * @return Service_AmsApiClient_Response_Struct_LinksListAgentsItem[]
     */
    public function getAgents($language);

    /**
     * @return Service_AmsApiClient_Response_Struct_LinksList
     */
    public function getLinks();
}
