<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

abstract class Service_BaseClient_Request_Json extends Service_BaseClient_Request_Base
{
    /**
     * @return Service_BaseClient_TransportStrategy_ITransportStrategy
     */
    public function getSendingStrategy()
    {
        return new Service_BaseClient_TransportStrategy_Json();
    }

    /**
     * @return null|array
     */
    public function getRequestBody()
    {
        return is_null($this->_requestObject)
            ? null
            : json_encode($this->_requestObject->toArray());
    }
}
