<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_Activate extends Service_BaseClient_Request_Base
{
    const REQUEST_URL_FORMAT = '/actions/activate/?token=%s';

    /**
     * @param string $token
     */
    public function __construct($token)
    {
        $this->_resource = sprintf(self::REQUEST_URL_FORMAT, $token);
        $this->_method = self::METHOD_GET;
    }

    /**
     * @param string $httpCode
     * @param string $responseBody
     * @return Service_MspApiClient_Response_BackupConsole
     */
    public function getExpectedResponse($httpCode = NULL, $responseBody = NULL)
    {
        return new Service_MspApiClient_Response_Activate($responseBody);
    }
}