<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_ImpersonateToken extends Service_BaseClient_Request_Base
{
    const REQUEST_URL_FORMAT = '/admins/%s/impersonate/';

    /**
     * @param int $adminId
     */
    public function __construct($adminId)
    {
        $this->_resource = sprintf(self::REQUEST_URL_FORMAT, $adminId);
        $this->_method = self::METHOD_GET;
    }

    /**
     * @param string $httpCode
     * @param string $responseBody
     * @return string
     */
    public function getExpectedResponse($httpCode = NULL, $responseBody = NULL)
    {
        return new Service_MspApiClient_Response_ImpersonateToken($responseBody);
    }
}