<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_LogicVersions extends Service_BaseClient_Request_Base
{
    const REQUEST_URL_FORMAT = '/logic/versions/';

    public function __construct()
    {
        $this->_resource = self::REQUEST_URL_FORMAT;
        $this->_method = self::METHOD_GET;
    }

    /**
     * @param string $httpCode
     * @param string $responseBody
     * @return Service_MspApiClient_Response_Empty
     */
    public function getExpectedResponse($httpCode = NULL, $responseBody = NULL)
    {
        return new Service_MspApiClient_Response_LogicVersions($responseBody);
    }
}