<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_Login extends Service_BaseClient_Request_Json
{
    const REQUEST_URL = '/login/';

    /**
     * @param Service_BaseClient_Request_Struct_IArrayRepresentation $requestObject
     */
    public function __construct(Service_BaseClient_Request_Struct_IArrayRepresentation $requestObject)
    {
        $this->_requestObject = $requestObject;
        $this->_resource = self::REQUEST_URL;
        $this->_method = self::METHOD_POST;
    }

    /**
     * @param string $httpCode
     * @param string $responseBody
     * @return Service_MspApiClient_Response_Login
     */
    public function getExpectedResponse($httpCode = NULL, $responseBody = NULL)
    {
        return new Service_MspApiClient_Response_Login($responseBody);
    }
}
