<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_OpenApi_Response_AccountInfo_Address
{
    /** @var  string */
    private $_country;
    /** @var  string */
    private $_zipCode;
    /** @var  string */
    private $_state;
    /** @var  string */
    private $_city;
    /** @var  string */
    private $_address1;
    /** @var  string */
    private $_address2;

    /**
     * @param string $country
     * @param string $zipCode
     * @param string $state
     * @param string $city
     * @param string $address1
     * @param string $address2
     */
    public function __construct($country, $zipCode, $state, $city, $address1, $address2)
    {
        $this->_country = $country;
        $this->_zipCode = $zipCode;
        $this->_state = $state;
        $this->_city = $city;
        $this->_address1 = $address1;
        $this->_address2 = $address2;
    }

    /**
     * @return string
     */
    public function getAddress1()
    {
        return $this->_address1;
    }

    /**
     * @return string
     */
    public function getAddress2()
    {
        return $this->_address2;
    }

    /**
     * @return string
     */
    public function getCity()
    {
        return $this->_city;
    }

    /**
     * @return string
     */
    public function getCountry()
    {
        return $this->_country;
    }

    /**
     * @return string
     */
    public function getState()
    {
        return $this->_state;
    }

    /**
     * @return string
     */
    public function getZipCode()
    {
        return $this->_zipCode;
    }
} 