<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetPlan extends Service_PbaApi_Client_Request
{
    const METHOD = 'PlanGet';

    /**
     * Method returns the information about plan.
     *
     * @param int $planId
     */
    public function __construct($planId)
    {
        parent::__construct(self::METHOD, array(
            (int) $planId
        ));
    }

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetPlan
     */
    public function getExpectedResponse(array $responseArray = NULL)
    {
        return new Service_PbaApi_Api_Response_GetPlan($responseArray);
    }
}
