<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Response_Struct_GetOrder implements Service_PbaApi_Api_Response_Struct_GetOrderInterface
{
    /**
     * @var int
     */
    private $orderID;

    /**
     * @var string
     */
    private $orderNumber;

    /**
     * @var int
     */
    private $vendorAccountID;

    /**
     * @var int
     */
    private $customerAccountID;

    /**
     * @var string
     */
    private $orderStatusID;

    /**
     * @var string
     */
    private $orderTypeID;

    /**
     * @var int
     */
    private $creationTime;

    /**
     * @var int
     */
    private $orderDate;

    /**
     * @var double
     */
    private $total;

    /**
     * @var double
     */
    private $taxTotal;

    /**
     * @var double
     */
    private $discountTotal;

    /**
     * @var double
     */
    private $merchTotal;

    /**
     * @var string
     */
    private $comments;

    /**
     * @var int
     */
    private $expirationDate;

    /**
     * @var string
     */
    private $promoCode;

    /**
     * @var string
     */
    private $salesBranchID;

    /**
     * @var string
     */
    private $salesPersonID;

    /**
     * @var string
     */
    private $currencyID;

    /**
     * @var int
     */
    private $completedDate;

    /**
     * @return int
     */
    public function getOrderID()
    {
        return $this->orderID;
    }

    /**
     * @param int $orderID
     */
    public function setOrderID($orderID)
    {
        $this->orderID = $orderID;
    }

    /**
     * @return string
     */
    public function getOrderNumber()
    {
        return $this->orderNumber;
    }

    /**
     * @param string $orderNumber
     */
    public function setOrderNumber($orderNumber)
    {
        $this->orderNumber = $orderNumber;
    }

    /**
     * @return int
     */
    public function getVendorAccountID()
    {
        return $this->vendorAccountID;
    }

    /**
     * @param int $vendorAccountID
     */
    public function setVendorAccountID($vendorAccountID)
    {
        $this->vendorAccountID = $vendorAccountID;
    }

    /**
     * @return int
     */
    public function getCustomerAccountID()
    {
        return $this->customerAccountID;
    }

    /**
     * @param int $customerAccountID
     */
    public function setCustomerAccountID($customerAccountID)
    {
        $this->customerAccountID = $customerAccountID;
    }

    /**
     * @return string
     */
    public function getOrderStatusID()
    {
        return $this->orderStatusID;
    }

    /**
     * @param string $orderStatusID
     */
    public function setOrderStatusID($orderStatusID)
    {
        $this->orderStatusID = $orderStatusID;
    }

    /**
     * @return string
     */
    public function getOrderTypeID()
    {
        return $this->orderTypeID;
    }

    /**
     * @param string $orderTypeID
     */
    public function setOrderTypeID($orderTypeID)
    {
        $this->orderTypeID = $orderTypeID;
    }

    /**
     * @return int
     */
    public function getCreationTime()
    {
        return $this->creationTime;
    }

    /**
     * @param int $creationTime
     */
    public function setCreationTime($creationTime)
    {
        $this->creationTime = $creationTime;
    }

    /**
     * @return int
     */
    public function getOrderDate()
    {
        return $this->orderDate;
    }

    /**
     * @param int $orderDate
     */
    public function setOrderDate($orderDate)
    {
        $this->orderDate = $orderDate;
    }

    /**
     * @return float
     */
    public function getTotal()
    {
        return $this->total;
    }

    /**
     * @param float $total
     */
    public function setTotal($total)
    {
        $this->total = $total;
    }

    /**
     * @return float
     */
    public function getTaxTotal()
    {
        return $this->taxTotal;
    }

    /**
     * @param float $taxTotal
     */
    public function setTaxTotal($taxTotal)
    {
        $this->taxTotal = $taxTotal;
    }

    /**
     * @return float
     */
    public function getDiscountTotal()
    {
        return $this->discountTotal;
    }

    /**
     * @param float $discountTotal
     */
    public function setDiscountTotal($discountTotal)
    {
        $this->discountTotal = $discountTotal;
    }

    /**
     * @return float
     */
    public function getMerchTotal()
    {
        return $this->merchTotal;
    }

    /**
     * @param float $merchTotal
     */
    public function setMerchTotal($merchTotal)
    {
        $this->merchTotal = $merchTotal;
    }

    /**
     * @return string
     */
    public function getComments()
    {
        return $this->comments;
    }

    /**
     * @param string $comments
     */
    public function setComments($comments)
    {
        $this->comments = $comments;
    }

    /**
     * @return int
     */
    public function getExpirationDate()
    {
        return $this->expirationDate;
    }

    /**
     * @param int $expirationDate
     */
    public function setExpirationDate($expirationDate)
    {
        $this->expirationDate = $expirationDate;
    }

    /**
     * @return string
     */
    public function getPromoCode()
    {
        return $this->promoCode;
    }

    /**
     * @param string $promoCode
     */
    public function setPromoCode($promoCode)
    {
        $this->promoCode = $promoCode;
    }

    /**
     * @return string
     */
    public function getSalesBranchID()
    {
        return $this->salesBranchID;
    }

    /**
     * @param string $salesBranchID
     */
    public function setSalesBranchID($salesBranchID)
    {
        $this->salesBranchID = $salesBranchID;
    }

    /**
     * @return string
     */
    public function getSalesPersonID()
    {
        return $this->salesPersonID;
    }

    /**
     * @param string $salesPersonID
     */
    public function setSalesPersonID($salesPersonID)
    {
        $this->salesPersonID = $salesPersonID;
    }

    /**
     * @return string
     */
    public function getCurrencyID()
    {
        return $this->currencyID;
    }

    /**
     * @param string $currencyID
     */
    public function setCurrencyID($currencyID)
    {
        $this->currencyID = $currencyID;
    }

    /**
     * @return int
     */
    public function getCompletedDate()
    {
        return $this->completedDate;
    }

    /**
     * @param int $completedDate
     */
    public function setCompletedDate($completedDate)
    {
        $this->completedDate = $completedDate;
    }
}
