<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Response_Struct_PlanPeriodListItem
{
    /**
     * @var int
     */
    protected $planPeriodID;

    /**
     * @var int
     */
    protected $period;

    /**
     * @var int
     */
    protected $periodType;

    /**
     * @var int
     */
    protected $trial;

    /**
     * @var double
     */
    protected $setupFee;

    /**
     * @var double
     */
    protected $subscriptionFee;

    /**
     * @var double
     */
    protected $renewalFee;

    /**
     * @var double
     */
    protected $transferFee;

    /**
     * @var double
     */
    protected $nonRefundableAmount;

    /**
     * @var int
     */
    protected $refundPeriod;

    /**
     * @var int
     */
    protected $enabled;

    /**
     * @var double
     */
    protected $numberOfPeriods;

    /**
     * @var string
     */
    protected $feeText;


    /**
     * @var int
     */
    protected $sortNumber;

    /**
     * @var int
     */
    protected $isOTFI;

    /**
     * @var double
     */
    protected $depositFee;

    /**
     * @var string
     */
    protected $depositDescr;

    /**
     * @return int
     */
    public function getPlanPeriodID()
    {
        return $this->planPeriodID;
    }

    /**
     * @param int $planPeriodID
     */
    public function setPlanPeriodID($planPeriodID)
    {
        $this->planPeriodID = $planPeriodID;
    }

    /**
     * @return int
     */
    public function getPeriod()
    {
        return $this->period;
    }

    /**
     * @param int $period
     */
    public function setPeriod($period)
    {
        $this->period = $period;
    }

    /**
     * @return int
     */
    public function getPeriodType()
    {
        return $this->periodType;
    }

    /**
     * @param int $periodType
     */
    public function setPeriodType($periodType)
    {
        $this->periodType = $periodType;
    }

    /**
     * @return int
     */
    public function getTrial()
    {
        return $this->trial;
    }

    /**
     * @param int $trial
     */
    public function setTrial($trial)
    {
        $this->trial = $trial;
    }

    /**
     * @return float
     */
    public function getSetupFee()
    {
        return $this->setupFee;
    }

    /**
     * @param float $setupFee
     */
    public function setSetupFee($setupFee)
    {
        $this->setupFee = $setupFee;
    }

    /**
     * @return float
     */
    public function getSubscriptionFee()
    {
        return $this->subscriptionFee;
    }

    /**
     * @param float $subscriptionFee
     */
    public function setSubscriptionFee($subscriptionFee)
    {
        $this->subscriptionFee = $subscriptionFee;
    }

    /**
     * @return float
     */
    public function getRenewalFee()
    {
        return $this->renewalFee;
    }

    /**
     * @param float $renewalFee
     */
    public function setRenewalFee($renewalFee)
    {
        $this->renewalFee = $renewalFee;
    }

    /**
     * @return float
     */
    public function getTransferFee()
    {
        return $this->transferFee;
    }

    /**
     * @param float $transferFee
     */
    public function setTransferFee($transferFee)
    {
        $this->transferFee = $transferFee;
    }

    /**
     * @return float
     */
    public function getNonRefundableAmount()
    {
        return $this->nonRefundableAmount;
    }

    /**
     * @param float $nonRefundableAmount
     */
    public function setNonRefundableAmount($nonRefundableAmount)
    {
        $this->nonRefundableAmount = $nonRefundableAmount;
    }

    /**
     * @return int
     */
    public function getRefundPeriod()
    {
        return $this->refundPeriod;
    }

    /**
     * @param int $refundPeriod
     */
    public function setRefundPeriod($refundPeriod)
    {
        $this->refundPeriod = $refundPeriod;
    }

    /**
     * @return int
     */
    public function getEnabled()
    {
        return $this->enabled;
    }

    /**
     * @param int $enabled
     */
    public function setEnabled($enabled)
    {
        $this->enabled = $enabled;
    }

    /**
     * @return float
     */
    public function getNumberOfPeriods()
    {
        return $this->numberOfPeriods;
    }

    /**
     * @param float $numberOfPeriods
     */
    public function setNumberOfPeriods($numberOfPeriods)
    {
        $this->numberOfPeriods = $numberOfPeriods;
    }

    /**
     * @return string
     */
    public function getFeeText()
    {
        return $this->feeText;
    }

    /**
     * @param string $feeText
     */
    public function setFeeText($feeText)
    {
        $this->feeText = $feeText;
    }

    /**
     * @return int
     */
    public function getSortNumber()
    {
        return $this->sortNumber;
    }

    /**
     * @param int $sortNumber
     */
    public function setSortNumber($sortNumber)
    {
        $this->sortNumber = $sortNumber;
    }

    /**
     * @return int
     */
    public function getIsOTFI()
    {
        return $this->isOTFI;
    }

    /**
     * @param int $isOTFI
     */
    public function setIsOTFI($isOTFI)
    {
        $this->isOTFI = $isOTFI;
    }

    /**
     * @return float
     */
    public function getDepositFee()
    {
        return $this->depositFee;
    }

    /**
     * @param float $depositFee
     */
    public function setDepositFee($depositFee)
    {
        $this->depositFee = $depositFee;
    }

    /**
     * @return string
     */
    public function getDepositDescr()
    {
        return $this->depositDescr;
    }

    /**
     * @param string $depositDescr
     */
    public function setDepositDescr($depositDescr)
    {
        $this->depositDescr = $depositDescr;
    }
}
