<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Services\Config;

/**
 * Trait ConfigUsageReportTrait
 * There must be a method getSection in class using this trait
 * @package Acronis\App\Services\Config
 * @method getSection(string $sectionName)
 */
trait ConfigUsageReportTrait
{
    public function getUsageReportConfig()
    {
        return $this->getSection(ConfigSchema::NODE_USAGE_REPORT);
    }
}