<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface FacadeInterface
{
    /**
     * @param string $baasUrl
     * @param string $instanceId
     * @return Service_MspApiClient_Api
     */
    public function getMspApi($baasUrl, $instanceId = NULL);

    /**
     * @param string $amsUrl
     * @return Service_AmsApiClient_ApiInterface
     */
    public function getAmsApi($amsUrl);

    /**
     * @param string $openApiHost
     * @return Service_OpenApi_ApiInterface
     */
    public function getOpenApi($openApiHost);

    /**
     * @param APS\ControllerProxy $apsController
     * @return Service_APSApi_ApiInterface
     */
    public function getApsApi($apsController);

    /**
     * @param object $config
     * @return Service_PbaApi_Api
     */
    public function getPbaApi($config);
}
