<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

defined('DS') || define('DS', DIRECTORY_SEPARATOR);

define('DIR_ROOT', realpath(__DIR__ . DS . '..') . DS);
define('DIR_APP', __DIR__ . DS);
define('DIR_LIB', DIR_ROOT . 'vendor' . DS);
define('DIR_TMP', DIR_ROOT . 'tmp' . DS);
define('DIR_IMAGES', DIR_TMP . 'images' . DS);
define('DIR_COOKIES', DIR_TMP . 'cookies' . DS);
define('DIR_CONFIG', DIR_ROOT . 'config' . DS);

// log file directory
define('LOG_PATH', DIR_ROOT . 'log');

define ('MSP_API_URI', '/api/1');
define ('AMS_API_URI', '/api');

define('DEVELOPMENT_MODE', defined('RUN_FROM_TESTS'));
define('SHOW_TRACE', false);

// Session files directory
define('SESSION_SAVE_PATH', DIR_TMP . 'session' . DS);

define('VERSION_FILE_NAME' , 'Vers.ion');

// BackupAgent Migration
define('POA_API_URI', 'NOT_SET');
define('BACKUPAGENT_SERVER_DNS', 'NOT_SET');
define('BACKUPAGENT_SERVER_ADMIN_LOGIN', 'NOT_SET');
define('BACKUPAGENT_SERVER_ADMIN_PASSWORD', 'NOT_SET');
define('BACKUPAGENT_SERVER_PROTOCOL', 'NOT_SET');

// Script endpoint.sh adds the constant OPEN_API_URI during the package installation
