-- set timezone = 'Europe/Tallinn';
COPY (
-- SELECT
--   "OrderID",
--   "subscriptionID"
-- FROM "OrdDet"
-- WHERE "OrderID" IN (SELECT "OrderID"
--                     FROM "SalesOrder"
--                     WHERE "OrderTypeID" = 'BO' AND "OrderDate" =  extract(epoch from date_trunc('month', now())) AND
--                           "Customer_AccountID" IN (SELECT "AccountID"
--                                                    FROM "Subscription"
--                                                    WHERE "Status" in (30, 15, 50) AND "serviceTemplateID" IN (11, 20, 14, 27))) AND
--       "resourceID" = '1000186'
-- set timezone = 'Europe/Tallinn';

-- SELECT
--   DISTINCT
--   "OrderID",
--   "subscriptionID"
-- FROM "OrdDet"
-- WHERE "OrderID" IN (
--   SELECT so."OrderID"
--   FROM "Subscription" s, "SalesOrder" so
--   WHERE s."Status" IN (30, 15, 50, 60, 80, 85, 89) AND s."serviceTemplateID" IN (11, 20, 14, 27) AND
--         so."Customer_AccountID" = s."AccountID" AND so."OrderTypeID" IN ('BO', 'CF') AND
--         so."OrderDate" = s."LastBillDate"
-- ) AND "resourceID" = '1000186'

-- FOR NEW REPORT
SELECT
  DISTINCT
  od."OrderID",
  od."subscriptionID"
FROM "OrdDet" AS od
  JOIN (
         SELECT
           od."subscriptionID",
           max(o."OrderID") AS "OrderID"
         FROM "OrdDet" od
           JOIN "SalesOrder" AS o ON o."OrderID" = od."OrderID"
         WHERE
           o."OrderTypeID" IN ('CF', 'BO') AND
           od."DetTypeID" = 140 AND
           od."DetSDate" >= extract(EPOCH FROM date_trunc('month', now()) - INTERVAL '1 month') AND
           od."DetEDate" <= extract(EPOCH FROM date_trunc('month', now()))
         GROUP BY
           od."subscriptionID"
       ) AS last_ord
    ON last_ord."subscriptionID" = od."subscriptionID" AND last_ord."OrderID" = od."OrderID"
 JOIN "Subscription" s ON s."subscriptionID" = od."subscriptionID"   
WHERE od."resourceID" = '1000186' AND s."serviceTemplateID" IN (11, 20, 14, 27)
) TO STDOUT WITH CSV DELIMITER ',';
